io.undertow.server

## Interface HttpUpgradeListener

    public interface HttpUpgradeListener

Listener that is used to perform a HTTP upgrade.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleUpgrade(org.xnio.StreamConnection streamConnection, HttpServerExchange exchange)` Method that is called once the upgrade is complete.

### Method Detail

#### handleUpgrade

    void handleUpgrade(org.xnio.StreamConnection streamConnection,
                       HttpServerExchange exchange)

Method that is called once the upgrade is complete.

Parameters:
  `streamConnection` - The connection that can be used to send or receive data
  `exchange` -